Bug 864486 - RFE: rng scheme for task/result
RFE: rng scheme for task/result
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
Doc
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 08:59 EDT by Vojtech Juranek
Modified: 2016-05-26 09:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vojtech Juranek 2012-10-09 08:59:42 EDT
Description of problem:
In current RNG scheme for beaker job (beaker-job.rng) is not contained scheme for results element, while e.g. job.to_xml($JOB_ID) includes <results> as part of resulting XML. It would be nice to have rng schemne also for results (or simply for every entity, which Beaker allows to be represented as XML). Such schemes are useful e.g. for automatically generation of appropriate classes in Java via JAXB.
Comment 1 Dan Callaghan 2012-10-09 17:51:30 EDT
I imagine we could write a new RELAX NG schema beaker-job-results.rng which imports the existing beaker-job.rng and expands on it (since the job results XML is a superset of the job XML).
Comment 2 Monson Shao 2012-10-11 02:57:53 EDT
I have the same request too, now I have to just ignore the job-xml-validation-failed warning. If this has been enhanced, please add an extra option in 'bkr job-submit' to use the superset rng.

Note You need to log in before you can comment on or make changes to this bug.